<html>
<!--    cibl&eacute; par:  liste-contrat.php

		cible: toute les pages ajout...php
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
						

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Revenu d'op&eacute;ration</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");



//V&eacute;rifier si la session est valide.
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");

	

//////////////////////////////////////////////////////////////////////////////////////////////////////
//																									//
//									AFFECTATION DES VARIABLES										//
//																									//
//////////////////////////////////////////////////////////////////////////////////////////////////////
//	1	-	base_contrat, base_clients																//
//	2	-	base_cafeteria																			//
//	3	-	base_chalets																			//
//	4	-	base_activites																			//
//	5	-	base_loc_materiels																		//
//	6	-	base_vente_materiels																	//
//	7	-	base_depot																				//
//	X	-	afficher les r&eacute;sultats dans le tableau													//
//////////////////////////////////////////////////////////////////////////////////////////////////////



//////////////////////////////////////////////////////////////////////////////////////////////////////
// 1 - RECHERCHE TABLE CONTRAT																		//
//////////////////////////////////////////////////////////////////////////////////////////////////////
$sql = "SELECT base_contrat.code_contrat, base_clients.code_client, base_contrat.date_emission,
			   base_contrat.date_debut, base_contrat.date_fin, base_clients.nom, base_clients.prenom, 
			   base_clients.organisme, base_nb_clients.prix_plein, base_nb_clients.prix_rabais, base_contrat.depot, 
			   base_clients.credit, base_contrat.etat, base_contrat.numero_contrat
          FROM base_contrat, base_clients, base_nb_clients
	     WHERE base_contrat.num_client = base_clients.code_client
		   AND base_contrat.code_contrat = base_nb_clients.code_contrat
		   AND base_nb_clients.actif = 'O'
		   ORDER BY base_contrat.date_debut;";
$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table des membres".$sql);
$num = mysqli_num_rows($result);

//Affectation des variables principales
if ($num)
{
	$j = 0;
	while ($row = mysqli_fetch_row($result))
	{	
		$code_contrat[$j] = $row[0];
		$code_client[$j] = $row[1];
		$date_emission[$j] = $row[2];
		$date_debut[$j] = $row[3];
		$date_fin[$j] = $row[4];
		$nom[$j] = $row[5];
		$prenom[$j] = $row[6];				
		$organisme[$j] = $row[7];
		$contrat_prix_plein[$j] = $row[8];
		$contrat_prix_rabais[$j] = $row[9];		
		$contrat_depot[$j] = $row[10];
		$client_credit[$j] = $row[11];
		$contrat_etat[$j] = $row[12];		
		$numero_contrat[$j] = $row[13];
		
//////////////////////////////////////////////////////////////////////////////////////////////////////
// 2 - RECHERCHE TABLE CAFETERIA																	//
//////////////////////////////////////////////////////////////////////////////////////////////////////
		$sql_cafe = "SELECT base_cafeteria.prix_plein, base_cafeteria.prix_rabais
     	 	     	   FROM base_cafeteria
	     		 	  WHERE base_cafeteria.actif = 'O'
				   		AND base_cafeteria.code_contrat = '$code_contrat[$j]';";
		$result_cafe = mysqli_query($GLOBALS["___mysqli_ston"], $sql_cafe) or die ("Ne peut lire dans la table des membres".$sql_cafe);
		$row_cafe = mysqli_fetch_row($result_cafe);
		$num_cafe = mysqli_num_rows($result_cafe);
		
		if ($num_cafe)
		{
			$cafeteria_prix_plein[$j] = $row_cafe[0];
			$cafeteria_prix_rabais[$j] = $row_cafe[1];
		}	
		else
		{
			$cafeteria_prix_plein[$j] = 0;
			$cafeteria_prix_rabais[$j] = 0;
		}
	
//////////////////////////////////////////////////////////////////////////////////////////////////////
// 3 - RECHERCHE TABLE CHALETS																		//
//////////////////////////////////////////////////////////////////////////////////////////////////////
		$sql_chalet = "SELECT base_chalets.prix_plein, base_chalets.prix_rabais
        				 FROM base_chalets, base_ref1chalets
					    WHERE base_chalets.code_contrat = '$code_contrat[$j]'
		   				  AND base_chalets.num_chalet = base_ref1chalets.num_chalet
						  AND base_chalets.actif = 'O'
						  AND base_chalets.reservation = 'N';";
		$result_chalet = mysqli_query($GLOBALS["___mysqli_ston"], $sql_chalet) or die ("Ne peut lire dans la table des membres".$sql_chalet);
		$num_chalet = mysqli_num_rows($result_chalet);
		$chalets_nb_chalet[$j] = $num_chalet;
		
		
		if ($num_chalet)
		{
			//affectation des chalets dans un tableau
			$i = 0;
			while ($row_chalet = mysqli_fetch_row($result_chalet))
			{
				$chalets_prix_plein[$j] = ($chalets_prix_plein[$j]+$row_chalet[0]);
				$chalets_prix_rabais[$j] = ($chalets_prix_rabais[$j]+$row_chalet[1]);
				$i++;
			}
		}
		elseif (empty($num_chalet))
		{
			$chalets_prix_plein[$j] = 0;
			$chalets_prix_rabais[$j] = 0;
		}
		else
		{
			die ("Il y a un probl&egrave;me dans l'affectation des variables de chalet !".$sql_chalet);
		}


//////////////////////////////////////////////////////////////////////////////////////////////////////
// 4 - RECHERCHE TABLE ACTIVITES																	//
//////////////////////////////////////////////////////////////////////////////////////////////////////
		$sql_activite = "SELECT base_activites.prix_plein, base_activites.prix_rabais
        				 FROM base_activites, base_ref1activites
					    WHERE base_activites.code_contrat = '$code_contrat[$j]'
		   				  AND base_activites.num_activite = base_ref1activites.num_activite
						  AND base_activites.actif = 'O';";
		$result_activite = mysqli_query($GLOBALS["___mysqli_ston"], $sql_activite) or die ("Ne peut lire dans la table des activites".$sql_activite);
		$num_activite = mysqli_num_rows($result_activite);

		if ($num_activite)
		{
			//affectation des activites dans un tableau
			$i = 0;
			while ($row_activite = mysqli_fetch_row($result_activite))
			{
				$activites_prix_plein[$j] = ($activites_prix_plein[$j]+$row_activite[0]);
				$activites_prix_rabais[$j] = ($activites_prix_rabais[$j]+$row_activite[1]);
			}
		}
		elseif (empty($num_activite))
		{
			$activites_prix_plein[$j] = 0;
			$activites_prix_rabais[$j] = 0;
		}
		else
		{
			die ("Il y a un probl&egrave;me dans l'affectation des variables des activites !".$sql_activite);
		}
		
		


//////////////////////////////////////////////////////////////////////////////////////////////////////
// 5 - RECHERCHE TABLE LOCATIONS																	//
//////////////////////////////////////////////////////////////////////////////////////////////////////
		$sql_loc = "SELECT base_loc_materiels.prix_plein, base_loc_materiels.prix_rabais
        				 FROM base_loc_materiels, base_ref1materiels
					    WHERE base_loc_materiels.code_contrat = '$code_contrat[$j]'
		   				  AND base_loc_materiels.num_materiel = base_ref1materiels.num_materiel
						  AND base_loc_materiels.actif = 'O';";
		$result_loc = mysqli_query($GLOBALS["___mysqli_ston"], $sql_loc) or die ("Ne peut lire dans la table des activites".$sql_loc);
		$num_loc = mysqli_num_rows($result_loc);

		if ($num_loc)
		{
			//affectation des locations dans un tableau
			$i = 0;
			while ($row_loc = mysqli_fetch_row($result_loc))
			{
				$loc_prix_plein[$j] = ($loc_prix_plein[$j]+$row_loc[0]);
				$loc_prix_rabais[$j] = ($loc_prix_rabais[$j]+$row_loc[1]);
			}
		}
		elseif (empty($num_loc))
		{
			$loc_prix_plein[$j] = 0;
			$loc_prix_rabais[$j] = 0;
		}
		else
		{
			die ("Il y a un probl&egrave;me dans l'affectation des variables des loctations !".$sql_loc);
		}


		
		
		
		
		
//////////////////////////////////////////////////////////////////////////////////////////////////////
// 6 - RECHERCHE TABLE VENTES																		//
//////////////////////////////////////////////////////////////////////////////////////////////////////
		$sql_vente = "SELECT base_vente_materiels.prix_plein, base_vente_materiels.prix_rabais
        				 FROM base_vente_materiels, base_ref1materiels
					    WHERE base_vente_materiels.code_contrat = '$code_contrat[$j]'
		   				  AND base_vente_materiels.num_materiel = base_ref1materiels.num_materiel
						  AND base_vente_materiels.actif = 'O';";
		$result_vente = mysqli_query($GLOBALS["___mysqli_ston"], $sql_vente) or die ("Ne peut lire dans la table des activites".$sql_vente);
		$num_vente = mysqli_num_rows($result_vente);

		if ($num_vente)
		{
			//affectation des ventes dans un tableau
			$i = 0;
			while ($row_vente = mysqli_fetch_row($result_vente))
			{
				$vente_prix_plein[$j] = ($vente_prix_plein[$j]+$row_vente[0]);
				$vente_prix_rabais[$j] = ($vente_prix_rabais[$j]+$row_vente[1]);
			}
			
		}
		elseif (empty($num_vente))
		{
			$vente_prix_plein[$j] = 0;
			$vente_prix_rabais[$j] = 0;
		}
		else
		{
			die ("Il y a un probl&egrave;me dans l'affectation des variables des ventes !".$sql_vente);
		}		
		




//////////////////////////////////////////////////////////////////////////////////////////////////////
// 7 - RECHERCHE TABLE DEPOT																		//
//////////////////////////////////////////////////////////////////////////////////////////////////////
		$sql_depot = "SELECT base_depot.montant
        				 FROM base_depot
					    WHERE base_depot.code_contrat = '$code_contrat[$j]';";
		$result_depot = mysqli_query($GLOBALS["___mysqli_ston"], $sql_depot) or die ("Ne peut lire dans la table des depots".$sql_depot);
		$num_depot = mysqli_num_rows($result_depot);
		if ($num_depot)
		{
			//affectation des depots dans un tableau
			while ($row_depot = mysqli_fetch_row($result_depot))
			{
				$depot_prix[$j] = ($depot_prix[$j]+$row_depot[0]);
			}

		}
		elseif (empty($num_depot))
		{
			$depot_prix[$j] = 0;
		}
		else
		{
			die ("Il y a un probl&egrave;me dans l'affectation des variables des depots !".$sql_depot);
		}		




		
		
		
	$j++;
	}	//fin while


// fait le m&eacute;nage des r&eacute;sultat en m&eacute;moire
((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);





//////////////////////////////////////////////////////////////////////////////////////////////////////
// X - AFFICHER LES R&Eacute;SULTATS DANS LE TABLEAU														//
//////////////////////////////////////////////////////////////////////////////////////////////////////

print("<center>Liste des contrats ayant un surplus de paiement.<br><br><br>");
		
		//No contrat		
		print ("<table width=100%>\n");
		print("<tr><td>");
		print("<b>No contrat<br><br>"); 
		print("</td>");
		
		//date d'emission
		print("<td>");
		print("<b>&Eacute;tat<br><br>");
		print("</td>");
		
		//date d'emission
		print("<td>");
		print("<b>date &eacute;mission<br><br>");
		print("</td>");
		
		//debut
		print("<td>");
		print("<b>D&eacute;but<br><br>");
		print("</td>");
		
		//Fin
		print("<td>");
		print("<b>Fin<br><br>");
		print("</td>");
		
		//organisme
		print("<td>");
		print("<b>Organisme<br><br>");
		print("</td>");
		
		//nom
		print("<td>");
		print("<b>Nom<br><br>");
		print("</td>");

		//pr&eacute;nom
		print("<td>");
		print("<b>Pr&eacute;nom<br><br>");
		print("</td>");
		print("</tr>");

$x=0;
//pour chaque ligne du tableau
while ($x < $num)
{

	//quelques calculs
	$montant_reel = ($contrat_prix_plein[$x]+$cafeteria_prix_plein[$x]+$chalets_prix_plein[$x]+$activites_prix_plein[$x]+$loc_prix_plein[$x]+$vente_prix_plein[$x]+$contrat_depot[$x]);
	$montant_rabais = ($contrat_prix_rabais[$x]+$cafeteria_prix_rabais[$x]+$chalets_prix_rabais[$x]+$activites_prix_rabais[$x]+$loc_prix_rabais[$x]+$vente_prix_rabais[$x]+$contrat_depot[$x]);
	$diff[$x] = ($montant_rabais - $depot_prix[$x]);


	if ($diff[$x] < 0)
	{
		
		print ("<tr>\n");
				
		// affiche le code du contrat
		print("<td>");
		print("<a href=\"../contract/gestion-contract.php?Bsession_id=$Bsession_id&code_contrat=".$code_contrat[$x]."&code_cli